<?php #Search result page. This page doesn't have to be in secret.
?>
<!doctype html> 
<html lang="en">
<head>
	<meta charset="utf-8">
    <style>
    .wrapper{
       margin-top: auto; /* https://www.w3schools.com/css/css_margin.asp */
       margin-right: auto; 
       margin-left: auto;
       margin-bottom:10px;
       padding: 10px; /* https://www.w3schools.com/css/css_padding.asp */
       border-style: ridge; /* https://www.w3schools.com/css/css_border.asp */
       width: 400px;
       text-align: center;
    }
    .wrapper img { /* This style applies to img tag inside html tag with class attribute 'wrapper', https://www.w3schools.com/cssref/sel_element_element.php */
		width: 300px; /* adjust to your desired image size */
		height: 300px;
		object-fit: contain; /* maintain picture aspect ratio*/
    }
    
    label {
		font: 13px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
		font-weight: bold;
		color: #b92229;
	}
	
	fieldset {
		font: 15px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
		font-weight: bold;
		color: #b92229;
	}
	
	body {
	    background-color:#2e2e2e;
	    color:#ffffff;
	}
	h1{
	    color:#ffffff;
	}
	h2{
	    color:#b92229;
	}
	h3{
	    color:#b92229;
	}
    </style>
    <!-- When trying to do the color scheme for this, the code got kind of gross -->
</head>
<body>
    
<?php
include('mysqli_connect.php'); 
$maximum = $_POST['maximum'];
$minimum = $_POST['minimum'];
$query = "SELECT * FROM parfums WHERE price BETWEEN '$minimum' AND '$maximum'"; 

$result = mysqli_query($dbc, $query);
if ($result) {
    $row_count = mysqli_num_rows($result);
    echo "<h1>In total, the number of retrieved user records is:  <b> $row_count </b> <br></h2>";
    echo "<button type=\"button\" onclick=\"location.href='secret_page.php'\">Go back</button>";
} else {
    echo mysqli_error($dbc);
}
mysqli_close($dbc);
# Present the result using while loop.
while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
    echo "<div class='wrapper'>";
    $filepath = "images/" . $row['id'] . ".png";
    
    
    if (!file_exists($filepath)) {
    $filepath = 'images/default.jpg';
    }
    echo "<img src=\"$filepath\">";
    
    # prints text and image^^^
    echo "<h3>".$row['name']."</h3>";
    echo $row['category']."<br>";
    echo "Price: $".$row['price']."<br>";
    echo "Quantity: ".$row['quantity']."<br><br>";
    echo "Description: ".$row['description']."<br>";
    
    echo "</div>\n";
}
?>
</body>
</html>